DiskMetrics (Apache Geode 1.15.4)

org.apache.geode.management

## Class DiskMetrics

- java.lang.Object
- - org.apache.geode.management.DiskMetrics

-     public class DiskMetrics
      extends Object

  Composite data type used to distribute metrics for a `DiskStore`.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDiskFlushAvgLatency()` Returns the flush time average latency.
    `float` | `getDiskReadsRate()` Returns the average number of disk reads per second.
    `float` | `getDiskWritesRate()` Returns the average number of disk writes per second.
    `int` | `getTotalBackupCompleted()` Returns the number of backups of this DiskStore that have been completed.
    `int` | `getTotalBackupInProgress()` Returns the number of backups currently in progress on this DiskStore.
    `long` | `getTotalBytesOnDisk()` Returns the total number of bytes of space that have been used.
    `void` | `setDiskFlushAvgLatency(long diskFlushAvgLatency)` Sets the flush time average latency.
    `void` | `setDiskReadsRate(float diskReadsRate)` Sets the average number of disk reads per second.
    `void` | `setDiskWritesRate(float diskWritesRate)` Sets the average number of disk writes per second.
    `void` | `setTotalBackupCompleted(int totalBackupCompleted)` Sets the number of backups of this DiskStore that have been completed.
    `void` | `setTotalBackupInProgress(int totalBackupInProgress)` Sets the number of backups currently in progress on this DiskStore.
    `void` | `setTotalBytesOnDisk(long totalBytesOnDisk)` Sets the total number of bytes of space that have been used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiskMetrics

          public DiskMetrics()

  - ### Method Detail

    - #### getDiskReadsRate

          public float getDiskReadsRate()

      Returns the average number of disk reads per second.
      Returns:
        the average number of disk reads per second

    - #### getDiskWritesRate

          public float getDiskWritesRate()

      Returns the average number of disk writes per second.
      Returns:
        the average number of disk writes per second

    - #### getTotalBackupInProgress

          public int getTotalBackupInProgress()

      Returns the number of backups currently in progress on this DiskStore.
      Returns:
        the number of backups currently in progress on this DiskStore

    - #### getTotalBackupCompleted

          public int getTotalBackupCompleted()

      Returns the number of backups of this DiskStore that have been completed.
      Returns:
        the number of backups of this DiskStore that have been completed

    - #### getTotalBytesOnDisk

          public long getTotalBytesOnDisk()

      Returns the total number of bytes of space that have been used.
      Returns:
        the total number of bytes of space that have been used

    - #### getDiskFlushAvgLatency

          public long getDiskFlushAvgLatency()

      Returns the flush time average latency.
      Returns:
        the flush time average latency

    - #### setDiskReadsRate

          public void setDiskReadsRate(float diskReadsRate)

      Sets the average number of disk reads per second.
      Parameters:
        `diskReadsRate` - the average number of disk reads per second

    - #### setDiskWritesRate

          public void setDiskWritesRate(float diskWritesRate)

      Sets the average number of disk writes per second.
      Parameters:
        `diskWritesRate` - the average number of disk writes per second

    - #### setTotalBackupInProgress

          public void setTotalBackupInProgress(int totalBackupInProgress)

      Sets the number of backups currently in progress on this DiskStore.
      Parameters:
        `totalBackupInProgress` - the number of backups currently in progress on this DiskStore

    - #### setTotalBackupCompleted

          public void setTotalBackupCompleted(int totalBackupCompleted)

      Sets the number of backups of this DiskStore that have been completed.
      Parameters:
        `totalBackupCompleted` - the number of backups of this DiskStore that have been completed

    - #### setTotalBytesOnDisk

          public void setTotalBytesOnDisk(long totalBytesOnDisk)

      Sets the total number of bytes of space that have been used.
      Parameters:
        `totalBytesOnDisk` - the total number of bytes of space that have been used

    - #### setDiskFlushAvgLatency

          public void setDiskFlushAvgLatency(long diskFlushAvgLatency)

      Sets the flush time average latency.
      Parameters:
        `diskFlushAvgLatency` - the flush time average latency